<h1>WPSSO User Locale</h1><h3>Select a Language / Region in the WordPress Toolbar Menu</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO User Locale (WPSSO UL)</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>WPSSO extension to add a user locale / language / region selector in the WordPress admin back-end and front-end toolbar menus.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>1.1.0-1</td></tr>
<tr><th align="right" valign="top" nowrap>Requires At Least</th><td>WordPress 3.7</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To</th><td>WordPress 4.7.3</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>user, locale, language, region, select, admin, back-end, front-end, polylang</td></tr>
</table>

<h2>Description</h2>

<p align="center"><img src="https://surniaulula.github.io/wpsso-user-locale/assets/icon-256x256.png" /></p><p></p>

<p><strong>Add a user locale drop-down menu item in the WordPress admin back-end admin and front-end toolbar menus.</strong></p>

<p><strong>Perfect for translators or anyone who needs to switch languages quickly and easily</strong> &mdash; allows logged-in users to change their preferred locale / language setting right from the toolbar menu (instead of having to update their WordPress user profile page).</p>

<p>The default WordPress behavior is to apply the user locale preference to the admin back-end only &mdash; this plugin can optionally extend the user locale preference to the front-end webpage as well (enabled by default in the SSO &gt; User Locale settings page).</p>

<h4>Power-Users / Developers</h4>

<p>See the plugin <a href="https://wordpress.org/plugins/wpsso-user-locale/other_notes/">Other Notes</a> page for information on available filters.</p>

<h4>Do you use the Polylang plugin?</h4>

<p>If the Polylang plugin is active, the user locale menu will automatically use the correct Polylang language URLs for the current webpage.</p>

<blockquote>
<p><strong>Prerequisite</strong> &mdash; WPSSO User Locale (WPSSO UL) is an extension for the <a href="https://wordpress.org/plugins/wpsso/">WordPress Social Sharing Optimization (WPSSO)</a> plugin, which <em>automatically</em> generates complete and accurate meta tags + Schema markup from your content for Social Sharing Optimization (SSO) and Search Engine Optimization (SEO).</p>
</blockquote>


<h2>Installation</h2>

<h4>Install and Uninstall</h4>

<ul>
<li><a href="https://wpsso.com/codex/plugins/wpsso-user-locale/installation/install-the-plugin/">Install the Plugin</a></li>
<li><a href="https://wpsso.com/codex/plugins/wpsso-user-locale/installation/uninstall-the-plugin/">Uninstall the Plugin</a></li>
</ul>


<h2>Frequently Asked Questions</h2>

<h4>Frequently Asked Questions</h4>

<ul>
<li>None</li>
</ul>


<h2>Other Notes</h2>

<h3>Other Notes</h3>
<h4>Additional Documentation</h4>

<ul>
<li><a href="https://wpsso.com/codex/plugins/wpsso-user-locale/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/codex/plugins/wpsso-user-locale/notes/developer/filters/">Filters</a>

<ul>
<li><a href="https://wpsso.com/codex/plugins/wpsso-user-locale/notes/developer/filters/examples/">Filter Examples</a>

<ul>
<li><a href="https://wpsso.com/codex/plugins/wpsso-user-locale/notes/developer/filters/examples/disable-user-locale-on-front-end/">Disable User Locale on Front-End</a></li>
<li><a href="https://wpsso.com/codex/plugins/wpsso-user-locale/notes/developer/filters/examples/modify-the-menu-title/">Modify the Menu Title</a></li>
<li><a href="https://wpsso.com/codex/plugins/wpsso-user-locale/notes/developer/filters/examples/modify-the-redirect-url/">Modify the Redirect URL</a></li>
</ul></li>
<li><a href="https://wpsso.com/codex/plugins/wpsso-user-locale/notes/developer/filters/by-name/">Filters by Name</a></li>
</ul></li>
</ul></li>
</ul>

